st(3)

NAME
st - System Timer access

SYNOPSIS

  Functions

uint64_t bcm2835_st_read (void)
void bcm2835_st_delay (uint64_t offset_micros, uint64_t micros)

Detailed Description

Allows access to and delays using the System Timer Counter.

Function Documentation

  void bcm2835_st_delay (uint64_t offset_micros, uint64_t micros) [extern]
Delays for the specified number of microseconds with offset.

Parameters
    offset_micros Offset in microseconds
    micros Delay in microseconds

  uint64_t bcm2835_st_read (void ) [extern]
Read the System Timer Counter register.

Returns
    the value read from the System Timer Counter Lower 32 bits register

Author

Generated automatically by Doxygen for bcm2835 from the source code.